
%global meadversion 1.56.0
%global namedversion 1.56.0.redhat-2
%global meadalpha .redhat_2
%global meadrel .2
%global serial 3
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}bouncycastle}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.56.0.redhat-2

Name:           %{?scl_prefix}bouncycastle
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Bouncy Castle
Group:          Development/Java

%if %with mead
Source100: bouncycastle-project-1.56.0.redhat-2-scm-sources.zip
Source102: bouncycastle-project-1.56.0.redhat-2-project-sources.tar.gz
Source103: bouncycastle-project-1.56.0.redhat-2-javadoc.jar
Source104: bouncycastle-project-1.56.0.redhat-2.pom
Source105: bcmail-jdk15on-1.56.0.redhat-2.pom
Source106: bcmail-jdk15on-1.56.0.redhat-2.jar
Source107: bcmail-jdk15on-1.56.0.redhat-2-javadoc.jar
Source108: bcmail-jdk15on-1.56.0.redhat-2-sources.jar
Source109: bcprov-jdk15on-1.56.0.redhat-2.pom
Source110: bcprov-jdk15on-1.56.0.redhat-2-sources.jar
Source111: bcprov-jdk15on-1.56.0.redhat-2-tests.jar
Source112: bcprov-jdk15on-1.56.0.redhat-2.jar
Source113: bcprov-jdk15on-1.56.0.redhat-2-javadoc.jar
Source114: bcpkix-jdk15on-1.56.0.redhat-2.jar
Source115: bcpkix-jdk15on-1.56.0.redhat-2-sources.jar
Source116: bcpkix-jdk15on-1.56.0.redhat-2-javadoc.jar
Source117: bcpkix-jdk15on-1.56.0.redhat-2.pom
Source118: bcpkix-jdk15on-1.56.0.redhat-2-tests.jar
Source119: bcpg-jdk15on-1.56.0.redhat-2-sources.jar
Source120: bcpg-jdk15on-1.56.0.redhat-2-javadoc.jar
Source121: bcpg-jdk15on-1.56.0.redhat-2.jar
Source122: bcpg-jdk15on-1.56.0.redhat-2.pom
%endif

License:        Bouncy Castle Licence
URL:            http://www.bouncycastle.org/java.html
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcmail-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description -n %{?scl_prefix}bouncycastle
The Bouncy Castle Crypto package is a Java implementation of cryptographic
algorithms.

%package -n %{?scl_prefix}bouncycastle-prov
Summary:        Bouncy Castle Provider
Group:          Development/Java

Provides:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-prov
The Bouncy Castle Crypto package is a Java implementation of cryptographic
algorithms. This jar contains JCE provider and lightweight API for the Bouncy
Castle Cryptography APIs for JDK 1.5 to JDK 1.8.

%package -n %{?scl_prefix}bouncycastle-pg
Summary:        Bouncy Castle OpenPGP API
Group:          Development/Java

Provides:       %{?scl_prefix}bcpg-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-pg
The Bouncy Castle Java API for handling the OpenPGP protocol. This jar contains
the OpenPGP API for JDK 1.5 to JDK 1.8. The APIs can be used in conjunction with
a JCE/JCA provider such as the one provided with the Bouncy Castle Cryptography
APIs.

%package -n %{?scl_prefix}bouncycastle-pkix
Summary:        Bouncy Castle PKIX, CMS, EAC, TSP, PKCS, OCSP, CMP, and CRMF APIs
Group:          Development/Java

Provides:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-pkix
The Bouncy Castle Java APIs for CMS, PKCS, EAC, TSP, CMP, CRMF, OCSP, and
certificate generation. This jar contains APIs for JDK 1.5 to JDK 1.8. The APIs
can be used in conjunction with a JCE/JCA provider such as the one provided with
the Bouncy Castle Cryptography APIs.

%package -n %{?scl_prefix}bouncycastle-mail
Summary:        Bouncy Castle S/MIME API
Group:          Development/Java

Provides:       %{?scl_prefix}bcmail-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcprov-jdk15on = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}bcpkix-jdk15on = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}bouncycastle-mail
The Bouncy Castle Java S/MIME APIs for handling S/MIME protocols. This jar
contains S/MIME APIs for JDK 1.5 to JDK 1.8. The APIs can be used in conjunction
with a JCE/JCA provider such as the one provided with the Bouncy Castle
Cryptography APIs. The JavaMail API and the Java activation framework will also
be needed.

%if %with javadoc
%package javadoc
Summary:        Javadoc for bouncycastle
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n bc-java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcprov-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcprov-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcpg-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcpg-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcpkix-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcpkix-jdk15on-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/bcmail-jdk15on-%{namedversion}-sources.jar %{buildroot}%{_javadir}/bcmail-jdk15on-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/bouncycastle-%{namedversion}
unzip -qq %{_sourcedir}/bouncycastle-project-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/bouncycastle-%{namedversion} -x META-INF/\*
%{__ln_s} bouncycastle-%{namedversion} %{buildroot}%{_javadocdir}/bouncycastle
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}bouncycastle-prov
%defattr(0644,root,root,0755)
%doc CONTRIBUTORS.html index.html LICENSE.html docs/
%{_javadir}/bcprov-jdk15on-%{namedversion}.jar
%{_javadir}/bcprov-jdk15on.jar
%if %with javadoc
%{_javadir}/bcprov-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcprov-jdk15on-javadoc.jar
%endif
%{_javadir}/bcprov-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcprov-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-pg
%defattr(0644,root,root,0755)
%{_javadir}/bcpg-jdk15on-%{namedversion}.jar
%{_javadir}/bcpg-jdk15on.jar
%if %with javadoc
%{_javadir}/bcpg-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcpg-jdk15on-javadoc.jar
%endif
%{_javadir}/bcpg-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcpg-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-pkix
%defattr(0644,root,root,0755)
%{_javadir}/bcpkix-jdk15on-%{namedversion}.jar
%{_javadir}/bcpkix-jdk15on.jar
%if %with javadoc
%{_javadir}/bcpkix-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcpkix-jdk15on-javadoc.jar
%endif
%{_javadir}/bcpkix-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcpkix-jdk15on-sources.jar

%files -n %{?scl_prefix}bouncycastle-mail
%defattr(0644,root,root,0755)
%{_javadir}/bcmail-jdk15on-%{namedversion}.jar
%{_javadir}/bcmail-jdk15on.jar
%if %with javadoc
%{_javadir}/bcmail-jdk15on-%{namedversion}-javadoc.jar
%{_javadir}/bcmail-jdk15on-javadoc.jar
%endif
%{_javadir}/bcmail-jdk15on-%{namedversion}-sources.jar
%{_javadir}/bcmail-jdk15on-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/bouncycastle-%{namedversion}
%{_javadocdir}/bouncycastle
%endif

%changelog
* Tue Aug 22 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.56.0-3.redhat_2.2
- Re-wrap for EAP 7.0.8

* Wed Mar 16 2016 David Walluck <dwalluck@redhat.com> - 1.52.0-5.redhat_3.2
- build to sign jars

* Wed Mar 16 2016 David Walluck <dwalluck@redhat.com> - 1.52.0-5.redhat_3.1
- build to sign jars

* Tue Aug 25 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-4.redhat_2.1
- remove javamail dependency

* Tue Aug 25 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-3.redhat_2.1
- update JAR manifests

* Fri Aug 21 2015 Fernando Nasser <fnasser@redhat.com> - 1.52.0-2.redhat_1.1
- Require full javamail as we don't have a JAR with just the api

* Thu Aug 20 2015 David Walluck <dwalluck@redhat.com> - 1.52.0-1.redhat_1.1
- release

